summaryrefslogtreecommitdiff
path: root/autogen.sh
diff options
context:
space:
mode:
authorPerberos <[email protected]>2011-12-01 22:49:12 -0300
committerPerberos <[email protected]>2011-12-01 22:49:12 -0300
commit781b0ff3f74abd6f5353b6d08763bbba93f2f21c (patch)
tree20c130b413586219356ec360efb5918a498cee69 /autogen.sh
downloadmate-notification-daemon-781b0ff3f74abd6f5353b6d08763bbba93f2f21c.tar.bz2
mate-notification-daemon-781b0ff3f74abd6f5353b6d08763bbba93f2f21c.tar.xz
moving from https://github.com/perberos/mate-desktop-environment
Diffstat (limited to 'autogen.sh')
-rwxr-xr-xautogen.sh22
1 files changed, 22 insertions, 0 deletions
diff --git a/autogen.sh b/autogen.sh
new file mode 100755
index 0000000..6aceccd
--- /dev/null
+++ b/autogen.sh
@@ -0,0 +1,22 @@
+#!/bin/sh
+# Run this to generate all the initial makefiles, etc.
+
+srcdir=`dirname $0`
+test -z "$srcdir" && srcdir=.
+
+PKG_NAME="mate-notification-daemon"
+
+(test -f $srcdir/configure.ac) || {
+ echo -n "**Error**: Directory "\`$srcdir\'" does not look like the"
+ echo " top-level $PKG_NAME directory"
+ exit 1
+}
+
+which mate-autogen.sh || {
+ echo "You need to install mate-common from the MATE Git"
+ exit 1
+}
+
+USE_MATE2_MACROS=1
+
+. mate-autogen.sh